# API Reference

You can also check Paymongo's [Official Documentation](https://developers.paymongo.com/docs).

## Payment Methods

A `PaymentMethod` resource describes which payment method was used to fulfill a payment. It is used with a PaymentIntent to collect payments.

{% content-ref url="/pages/4tMhxHBAD4ZEntEy0Yqh" %}
[Payment Methods](/reference/api-reference/payment-methods.md)
{% endcontent-ref %}

## Payment Intents

A `PaymentIntent` resource is used to track and handle different states of the payment until it succeeds.

{% content-ref url="/pages/r0Uzu7f4Gt3NCcNErdAU" %}
[Payment Intents](/reference/api-reference/payment-intents.md)
{% endcontent-ref %}

## Sources

A Source is a resource to generate your customer's payment instrument. This is normally used to generate check out URLs for e-wallet payments. To learn more about e-wallet integrations, you can visit [GCash](https://developers.paymongo.com/docs/accepting-gcash-payments) or [GrabPay](https://developers.paymongo.com/docs/accepting-grabpay-payments) integration.

{% content-ref url="/pages/cfmFkqRgSs8ILwg53sq0" %}
[Sources](/reference/api-reference/sources.md)
{% endcontent-ref %}

## Payments

A `Payment` resource is an attempt by your customer to send you money in exchange for your product. This is a reference to an amount that you are expecting to receive if a payment resource with paid status becomes a part of a payout. If the payment status is `failed`, you can determine the reason for failure.

{% content-ref url="/pages/Gvc60BnMN4YTvYNUK9od" %}
[Payments](/reference/api-reference/payments.md)
{% endcontent-ref %}

## Webhooks

A `Webhook` resource primarily refers to a certain URL where we send events that are happening from your account. You can check our [GCash](https://developers.paymongo.com/docs/accepting-gcash-payments) and [GrabPay](https://developers.paymongo.com/docs/accepting-grabpay-payments) integrations to find out some good use cases for webhooks.

{% content-ref url="/pages/KMqnQd9wE5KePcggOica" %}
[Webhooks](/reference/api-reference/webhooks.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paymongo.ossph.org/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
